use nom::multi::many1;

use crate::parser::paragraph;

mod parser;

const TEST_DOC: &'static str = include_str!("../toy_language.txt");

fn main() -> Result<(), Box<dyn std::error::Error>> {
    pretty_env_logger::init();
    println!("{}\n\n\n", TEST_DOC);
    println!("{:#?}", many1(paragraph)(TEST_DOC));
    Ok(())
}
